# PartialDisk (LWJGL API)
Date: 2015-07-28

## org.lwjgl.util.glu
Class PartialDisk

    java.lang.Object
      org.lwjgl.util.glu.Quadric
          org.lwjgl.util.glu.PartialDisk

    public class PartialDisk

extends Quadric

PartialDisk.java Created 23-dec-2003

Author:
  Erik Duijs

Field Summary

Fields inherited from class org.lwjgl.util.glu.Quadric
`drawStyle, normals, orientation, textureFlag`

Constructor Summary
`PartialDisk()` Constructor for PartialDisk.

Method Summary
`void` `draw(float innerRadius, float outerRadius, int slices, int loops, float startAngle, float sweepAngle)` renders a partial disk on the z=0 plane.

Methods inherited from class org.lwjgl.util.glu.Quadric
`cos, getDrawStyle, getNormals, getOrientation, getTextureFlag, normal3f, setDrawStyle, setNormals, setOrientation, setTextureFlag, sin, TXTR_COORD`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartialDisk

    public PartialDisk()

  Constructor for PartialDisk.

Method Detail

### draw

    public void draw(float innerRadius,
                     float outerRadius,
                     int slices,
                     int loops,
                     float startAngle,
                     float sweepAngle)

  renders a partial disk on the z=0 plane. A partial disk is similar to a full disk, except that only the subset of the disk from startAngle through startAngle + sweepAngle is included (where 0 degrees is along the +y axis, 90 degrees along the +x axis, 180 along the -y axis, and 270 along the -x axis). The partial disk has a radius of outerRadius, and contains a concentric circular hole with a radius of innerRadius. If innerRadius is zero, then no hole is generated. The partial disk is subdivided around the z axis into slices (like pizza slices), and also about the z axis into rings (as specified by slices and loops, respectively). With respect to orientation, the +z side of the partial disk is considered to be outside (see gluQuadricOrientation). This means that if the orientation is set to GLU.GLU_OUTSIDE, then any normals generated point along the +z axis. Otherwise, they point along the -z axis. If texturing is turned on (with gluQuadricTexture), texture coordinates are generated linearly such that where r=outerRadius, the value at (r, 0, 0) is (1, 0.5), at (0, r, 0) it is (0.5, 1), at (-r, 0, 0) it is (0, 0.5), and at (0, -r, 0) it is (0.5, 0).

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.